Subject: Re: header conflict introduced by change to netfilter_ipv4/ip_tables.h

From: Stephen Hemminger <[email-masked]>
Date: Thu, 7 Jan 2016 10:30:40 -0800

On Thu, 7 Jan 2016 07:29:50 +0000
Mikko Rapeli <[email-masked]> wrote:

> On Wed, Jan 06, 2016 at 09:20:07AM -0800, Stephen Hemminger wrote:
> > This commit breaks compilation of iproute2 with net-next.
> 
> Ok, linux/if.h and libc net/if.h have overlapping defines, and this is not
> the only one. I saw lots of them in the core dump headers.
> 
> How should we handle them? Another ifndef for IFNAMSIZ into kernel uapi
> headers?
> 
> -Mikko

Probably need to do the same thing that was done previously for these
kind of conflicts.  This makes make linux/if.h change to adapt to net/if.h
being included before it.

Or revert your patch.